Modify

Opened 3 years ago

Closed 2 years ago

#13867 closed defect (fixed)

No Wifi with Ralink RT3352

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc:

Description

With the newest trunk r37269 is no wifi available.
I get the following error Messages (System log):
PHY for wifi device radio0 not found
With r36872 no Problems..
Device is DLINK 615 H1
If you need more Information, let me know..
regards
Klaus

Attachments (0)

Change History (33)

comment:1 Changed 3 years ago by anonymous

In Kernel log the following error Messages occur:
rt2800_wmac 10180000.wmac: failed to load eeprom property
ieee80211 phy0: rt2x00lib_request_eeprom_file: Info - Loading EEPROM data from 'soc_wmac.eeprom'.
ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 3352, rev 0200 detected
ieee80211 phy0: rt2800_init_eeprom: Error - Invalid RF chipset 0x3352 detected
ieee80211 phy0: rt2x00lib_probe_dev: Error - Failed to allocate device

comment:2 Changed 3 years ago by anonymous

Hi there,
had the same Problem on same router. Fixed by restoring RF id detection in build_dir/target-mipsel_dsp_uClibc-0.9.33.2/linux-ramips_rt305x/compat-wireless-2013-06-27/drivers/net/wireless/rt2x00/rt2800lib.c, function rt2800_init_eeprom:

Remove line 5857 rt2x00_rt(rt2x00dev, RT3352) ||

This breaks chipset detection. Sorry, don't know how to generate patch correctly...

comment:3 Changed 3 years ago by anonymous

Hi *,
thank you for the Information.
This is the solution !! Great thanks for this..
Can anybody fix this ?

comment:4 Changed 3 years ago by zhangchi866@…

Confirmed on WAP120NF with r37374.

comment:5 Changed 3 years ago by anonymous

The method mentioned above can solve the problem but HT does not seem to work properly, with a throughput of less than 1 Mbps. 11b/11g works quite good.

comment:6 Changed 3 years ago by anonymous

Today i have built a new Firmware, in order to see, if the Problem still Exits, yes it did.
Kernel log:

0.000000] Linux version 3.10.2 (klaus@Klaus-VirtualBox) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r37529) ) #1 Thu Jul 25 10:07:01 CEST 2013

[ 0.000000] SoC Type: Ralink RT3352 id:1 rev:4
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 0001964c (MIPS 24KEc)
[ 0.000000] MIPS: machine is D-Link DIR-615 H1
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 02000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] Normal [mem 0x00000000-0x01ffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x01ffffff]
[ 0.000000] On node 0 totalpages: 8192
[ 0.000000] free_area_init_node: node 0, pgdat 8027e990, node_mem_map 81003440
[ 0.000000] Normal zone: 64 pages used for memmap
[ 0.000000] Normal zone: 0 pages reserved
[ 0.000000] Normal zone: 8192 pages, LIFO batch:0
[ 0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 16kB, 4-way, VIPT, no aliases, linesize 32 bytes
[ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
[ 0.000000] Kernel command line: console=ttyS0,57600 rootfstype=squashfs,jffs2
[ 0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[ 0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.000000] Writing ErrCtl register=0002cca0
[ 0.000000] Readback ErrCtl register=0002cca0
[ 0.000000] Memory: 29420k/32768k available (2098k kernel code, 3348k reserved, 523k data, 192k init, 0k highmem)
[ 0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:128
[ 0.000000] CPU Clock: 400MHz
[ 0.080000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[ 0.080000] pid_max: default: 32768 minimum: 301
[ 0.090000] Mount-cache hash table entries: 512
[ 0.100000] NET: Registered protocol family 16
[ 0.130000] bio: create slab <bio-0> at 0
[ 0.140000] rt2880_gpio 10000600.gpio: registering 24 gpios
[ 0.150000] rt2880_gpio 10000600.gpio: registering 24 irq handlers
[ 0.160000] Switching to clocksource MIPS
[ 0.170000] NET: Registered protocol family 2
[ 0.180000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[ 0.190000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[ 0.210000] TCP: Hash tables configured (established 512 bind 512)
[ 0.220000] TCP: reno registered
[ 0.220000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.240000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.250000] NET: Registered protocol family 1
[ 0.260000] rt-timer 10000100.timer: maximum frequncy is 8138Hz
[ 0.300000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.310000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.330000] msgmni has been set to 57
[ 0.340000] io scheduler noop registered
[ 0.340000] io scheduler deadline registered (default)
[ 0.360000] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[ 0.370000] 10000c00.uartlite: ttyS0 at MMIO 0x10000c00 (irq = 20) is a 16550A
[ 0.380000] console [ttyS0] enabled, bootconsole disabled
[ 0.410000] m25p80 spi0.0: mx25l3205d (4096 Kbytes)
[ 0.420000] 4 ofpart partitions found on MTD device spi0.0
[ 0.430000] Creating 4 MTD partitions on "spi0.0":
[ 0.440000] 0x000000000000-0x000000030000 : "u-boot"
[ 0.460000] 0x000000030000-0x000000040000 : "u-boot-env"
[ 0.470000] 0x000000040000-0x000000050000 : "factory"
[ 0.480000] 0x000000050000-0x000000400000 : "firmware"
[ 0.490000] 0x00000013a556-0x000000400000 : "rootfs"
[ 0.500000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.530000] mtd: partition "rootfs" set to be root filesystem
[ 0.540000] mtd: partition "rootfs_data" created automatically, ofs=0x320000, len=0xe0000
[ 0.560000] 0x000000320000-0x000000400000 : "rootfs_data"
[ 0.580000] eth0: done loading
[ 0.590000] rt2880_wdt 10000120.watchdog: Initialized
[ 0.600000] TCP: cubic registered
[ 0.610000] NET: Registered protocol family 17
[ 0.610000] 8021q: 802.1Q VLAN Support v1.8
[ 0.640000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
[ 0.650000] Freeing unused kernel memory: 192K (80290000 - 802c0000)
[ 2.160000] rt305x-esw 10110000.esw: link changed 0x18
[ 3.120000] Button Hotplug driver version 0.4.1
[ 3.360000] input: gpio-keys-polled.3 as /devices/gpio-keys-polled.3/input/input0
[ 4.230000] rt305x-esw 10110000.esw: link changed 0x00
[ 5.810000] rt305x-esw 10110000.esw: link changed 0x18
[ 7.540000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x10000
[ 7.550000] jffs2_build_filesystem(): unlocking the mtd device... done.
[ 7.570000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
[ 13.900000] jffs2: notice: (266) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
[ 16.910000] Loading modules backported from Linux version master-2013-06-27-0-gdcfa6d5
[ 16.930000] Backport generated by backports.git backports-20130617-4-ge3220f5
[ 16.980000] cfg80211: Calling CRDA to update world regulatory domain
[ 17.020000] cfg80211: World regulatory domain updated:
[ 17.030000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 17.040000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 17.060000] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 17.070000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 17.090000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 17.100000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 17.460000] NET: Registered protocol family 10
[ 18.220000] rt2800_wmac 10180000.wmac: failed to load eeprom property
[ 18.230000] ieee80211 phy0: rt2x00lib_request_eeprom_file: Info - Loading EEPROM data from 'soc_wmac.eeprom'.
[ 20.670000] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 3352, rev 0200 detected
[ 20.690000] ieee80211 phy0: rt2800_init_eeprom: Error - Invalid RF chipset 0x3352 detected
[ 20.710000] ieee80211 phy0: rt2x00lib_probe_dev: Error - Failed to allocate device
[ 20.730000] PPP generic driver version 2.4.2
[ 20.930000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 21.060000] xt_time: kernel timezone is -0000
[ 21.170000] NET: Registered protocol family 24
[ 21.190000] nf_conntrack version 0.5.0 (462 buckets, 1848 max)
[ 22.020000] ip6_tables: (C) 2000-2006 Netfilter Core Team
[ 24.890000] rt305x-esw 10110000.esw: link changed 0x00
[ 25.990000] device eth0.1 entered promiscuous mode
[ 26.000000] device eth0 entered promiscuous mode
[ 26.020000] br-lan: port 1(eth0.1) entered forwarding state
[ 26.030000] br-lan: port 1(eth0.1) entered forwarding state
[ 26.460000] rt305x-esw 10110000.esw: link changed 0x10
[ 26.490000] rt305x-esw 10110000.esw: link changed 0x18
[ 26.980000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0.1: link becomes ready
[ 28.030000] br-lan: port 1(eth0.1) entered forwarding state

Systemlog:
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.000000] Linux version 3.10.2 (klaus@Klaus-VirtualBox) (gcc version 4.6.4 (OpenWrt/Linaro GCC 4.6-2012.12 r37529) ) #1 Thu Jul 25 10:07:01 CEST 2013
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] SoC Type: Ralink RT3352 id:1 rev:4
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] bootconsole [early0] enabled
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] CPU revision is: 0001964c (MIPS 24KEc)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] MIPS: machine is D-Link DIR-615 H1
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] Determined physical RAM map:
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] memory: 02000000 @ 00000000 (usable)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] Initrd not found or empty - disabling initrd
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] Zone ranges:
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] Normal [mem 0x00000000-0x01ffffff]
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] Movable zone start for each node
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] Early memory node ranges
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] node 0: [mem 0x00000000-0x01ffffff]
Thu Jan 1 01:00:15 1970 auth.none kernel: [ 0.000000] On node 0 totalpages: 8192
Thu Jan 1 01:00:15 1970 auth.none kernel: [ 0.000000] free_area_init_node: node 0, pgdat 8027e990, node_mem_map 81003440
Thu Jan 1 01:00:15 1970 auth.none kernel: [ 0.000000] Normal zone: 64 pages used for memmap
Thu Jan 1 01:00:15 1970 auth.none kernel: [ 0.000000] Normal zone: 0 pages reserved
Thu Jan 1 01:00:15 1970 auth.none kernel: [ 0.000000] Normal zone: 8192 pages, LIFO batch:0
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] Primary data cache 16kB, 4-way, VIPT, no aliases, linesize 32 bytes
Thu Jan 1 01:00:15 1970 auth.none kernel: [ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
Thu Jan 1 01:00:15 1970 auth.none kernel: [ 0.000000] pcpu-alloc: [0] 0
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.000000] Kernel command line: console=ttyS0,57600 rootfstype=squashfs,jffs2
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] Writing ErrCtl register=0002cca0
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] Readback ErrCtl register=0002cca0
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] Memory: 29420k/32768k available (2098k kernel code, 3348k reserved, 523k data, 192k init, 0k highmem)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] NR_IRQS:128
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.000000] CPU Clock: 400MHz
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.080000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.080000] pid_max: default: 32768 minimum: 301
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.090000] Mount-cache hash table entries: 512
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.100000] NET: Registered protocol family 16
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.130000] bio: create slab <bio-0> at 0
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.140000] rt2880_gpio 10000600.gpio: registering 24 gpios
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.150000] rt2880_gpio 10000600.gpio: registering 24 irq handlers
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.160000] Switching to clocksource MIPS
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.170000] NET: Registered protocol family 2
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.180000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.190000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.210000] TCP: Hash tables configured (established 512 bind 512)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.220000] TCP: reno registered
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.220000] UDP hash table entries: 256 (order: 0, 4096 bytes)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.240000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.250000] NET: Registered protocol family 1
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.260000] rt-timer 10000100.timer: maximum frequncy is 8138Hz
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.300000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.310000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.330000] msgmni has been set to 57
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.340000] io scheduler noop registered
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.340000] io scheduler deadline registered (default)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.360000] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.370000] 10000c00.uartlite: ttyS0 at MMIO 0x10000c00 (irq = 20) is a 16550A
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.380000] console [ttyS0] enabled, bootconsole disabled
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.410000] m25p80 spi0.0: mx25l3205d (4096 Kbytes)
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.420000] 4 ofpart partitions found on MTD device spi0.0
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.430000] Creating 4 MTD partitions on "spi0.0":
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.440000] 0x000000000000-0x000000030000 : "u-boot"
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.460000] 0x000000030000-0x000000040000 : "u-boot-env"
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.470000] 0x000000040000-0x000000050000 : "factory"
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.480000] 0x000000050000-0x000000400000 : "firmware"
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.490000] 0x00000013a556-0x000000400000 : "rootfs"
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 0.500000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.530000] mtd: partition "rootfs" set to be root filesystem
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.540000] mtd: partition "rootfs_data" created automatically, ofs=0x320000, len=0xe0000
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 0.560000] 0x000000320000-0x000000400000 : "rootfs_data"
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.580000] eth0: done loading
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.590000] rt2880_wdt 10000120.watchdog: Initialized
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.600000] TCP: cubic registered
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.610000] NET: Registered protocol family 17
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.610000] 8021q: 802.1Q VLAN Support v1.8
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.640000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 0.650000] Freeing unused kernel memory: 192K (80290000 - 802c0000)
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 2.160000] rt305x-esw 10110000.esw: link changed 0x18
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 3.120000] Button Hotplug driver version 0.4.1
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 3.360000] input: gpio-keys-polled.3 as /devices/gpio-keys-polled.3/input/input0
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 4.230000] rt305x-esw 10110000.esw: link changed 0x00
Thu Jan 1 01:00:15 1970 auth.info kernel: [ 5.810000] rt305x-esw 10110000.esw: link changed 0x18
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 7.540000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x10000
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 7.550000] jffs2_build_filesystem(): unlocking the mtd device... done.
Thu Jan 1 01:00:15 1970 auth.err kernel: [ 7.570000] jffs2_build_filesystem(): erasing all blocks after the end marker... done.
Thu Jan 1 01:00:15 1970 auth.error kernel: [ 13.900000] jffs2: notice: (266) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
Thu Jul 11 18:51:00 2013 daemon.info sysinit: Thu Jul 11 16:51:00 UTC 2013
Thu Jul 11 18:51:00 2013 authpriv.alert syslog: kmodloader: loading kernel modules from /etc/modules.d/
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 16.910000] Loading modules backported from Linux version master-2013-06-27-0-gdcfa6d5
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 16.930000] Backport generated by backports.git backports-20130617-4-ge3220f5
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 16.980000] cfg80211: Calling CRDA to update world regulatory domain
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.020000] cfg80211: World regulatory domain updated:
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.030000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.040000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.060000] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.070000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.090000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.100000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Thu Jul 11 18:51:00 2013 auth.info kernel: [ 17.460000] NET: Registered protocol family 10
Thu Jul 11 18:51:01 2013 auth.emerg kernel: [ 18.220000] rt2800_wmac 10180000.wmac: failed to load eeprom property
Thu Jul 11 18:51:01 2013 auth.info kernel: [ 18.230000] ieee80211 phy0: rt2x00lib_request_eeprom_file: Info - Loading EEPROM data from 'soc_wmac.eeprom'.
Thu Jul 11 18:51:04 2013 auth.info kernel: [ 20.670000] ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 3352, rev 0200 detected
Thu Jul 11 18:51:04 2013 auth.emerg kernel: [ 20.690000] ieee80211 phy0: rt2800_init_eeprom: Error - Invalid RF chipset 0x3352 detected
Thu Jul 11 18:51:04 2013 auth.emerg kernel: [ 20.710000] ieee80211 phy0: rt2x00lib_probe_dev: Error - Failed to allocate device
Thu Jul 11 18:51:04 2013 auth.info kernel: [ 20.730000] PPP generic driver version 2.4.2
Thu Jul 11 18:51:04 2013 auth.info kernel: [ 20.930000] ip_tables: (C) 2000-2006 Netfilter Core Team
Thu Jul 11 18:51:04 2013 auth.info kernel: [ 21.060000] xt_time: kernel timezone is -0000
Thu Jul 11 18:51:04 2013 auth.info kernel: [ 21.170000] NET: Registered protocol family 24
Thu Jul 11 18:51:04 2013 auth.info kernel: [ 21.190000] nf_conntrack version 0.5.0 (462 buckets, 1848 max)
Thu Jul 11 18:51:05 2013 auth.info kernel: [ 22.020000] ip6_tables: (C) 2000-2006 Netfilter Core Team
Thu Jul 11 18:51:06 2013 daemon.info sysinit: led
Thu Jul 11 18:51:06 2013 daemon.info sysinit: led
Thu Jul 11 18:51:07 2013 daemon.info sysinit: PHY for wifi device radio0 not found
Thu Jul 11 18:51:08 2013 auth.info kernel: [ 24.890000] rt305x-esw 10110000.esw: link changed 0x00
Thu Jul 11 18:51:09 2013 auth.info kernel: [ 25.990000] device eth0.1 entered promiscuous mode
Thu Jul 11 18:51:09 2013 auth.info kernel: [ 26.000000] device eth0 entered promiscuous mode
Thu Jul 11 18:51:09 2013 auth.info kernel: [ 26.020000] br-lan: port 1(eth0.1) entered forwarding state
Thu Jul 11 18:51:09 2013 auth.info kernel: [ 26.030000] br-lan: port 1(eth0.1) entered forwarding state
Thu Jul 11 18:51:09 2013 daemon.error netifd: Interface 'lan' is now up
Thu Jul 11 18:51:09 2013 daemon.error netifd: Interface 'loopback' is now up
Thu Jul 11 18:51:09 2013 auth.info kernel: [ 26.460000] rt305x-esw 10110000.esw: link changed 0x10
Thu Jul 11 18:51:09 2013 auth.info kernel: [ 26.490000] rt305x-esw 10110000.esw: link changed 0x18
Thu Jul 11 18:51:10 2013 daemon.error netifd: wan (652): udhcpc (v1.19.4) started
Thu Jul 11 18:51:10 2013 authpriv.error firewall: Reloading firewall due to ifup of lan (br-lan)
Thu Jul 11 18:51:10 2013 daemon.error netifd: wan (652): Sending discover...
Thu Jul 11 18:51:10 2013 daemon.error netifd: wan (652): Sending select for 192.168.0.10...
Thu Jul 11 18:51:10 2013 daemon.error netifd: wan (652): Lease of 192.168.0.10 obtained, lease time 604800
Thu Jul 11 18:51:10 2013 auth.info kernel: [ 26.980000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0.1: link becomes ready
Thu Jul 11 18:51:10 2013 daemon.error netifd: Interface 'wan' is now up
Thu Jul 11 18:51:11 2013 authpriv.error firewall: Reloading firewall due to ifup of wan (eth0.2)
Thu Jul 11 18:51:11 2013 auth.info kernel: [ 28.030000] br-lan: port 1(eth0.1) entered forwarding state
Thu Jul 11 18:51:13 2013 daemon.info sysinit: PHY for wifi device radio0 not found
Thu Jul 11 18:51:13 2013 daemon.info sysinit: PHY for wifi device radio0 not found
Thu Jul 11 18:51:13 2013 daemon.info sysinit: PHY for wifi device radio0 not found
Thu Jul 11 18:51:14 2013 news.info crond[756]: crond: crond (busybox 1.19.4) started, log level 8
Thu Jul 11 18:51:14 2013 security.info dropbear[765]: Not backgrounding
Thu Jul 11 18:51:17 2013 authpriv.error dnsmasq: DNS rebinding protection is active, will discard upstream RFC1918 responses!
Thu Jul 11 18:51:17 2013 authpriv.error dnsmasq: Allowing 127.0.0.0/8 responses
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq[823]: started, version 2.66 cachesize 150
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq[823]: compile time options: IPv6 GNU-getopt no-DBus no-i18n no-IDN DHCP no-DHCPv6 no-Lua TFTP no-conntrack no-ipset no-auth
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq-dhcp[823]: DHCP, IP range 192.168.3.20 -- 192.168.3.29, lease time 12h
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq[823]: using local addresses only for domain lan
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq[823]: reading /tmp/resolv.conf.auto
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq[823]: using nameserver 192.168.0.1#53
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq[823]: using local addresses only for domain lan
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq[823]: read /etc/hosts - 1 addresses
Thu Jul 11 18:51:20 2013 daemon.info dnsmasq-dhcp[823]: read /etc/ethers - 0 addresses
Thu Jul 11 18:51:20 2013 daemon.info sysinit: setting up led wan
Thu Jul 11 18:51:21 2013 daemon.info sysinit: - init complete -
Thu Jul 25 14:41:15 2013 news.emerg crond[756]: time disparity of 19910 minutes detected

root@OpenWrt:~# opkg list-installed
6relayd - 2013-07-16-d41eeecb6b643a817664a90317ffe0b474ed6b53
base-files - 143-r37529
busybox - 1.19.4-7
dnsmasq - 2.66-3
dropbear - 2012.55-2
firewall - 2013-07-16
ip6tables - 1.4.19.1-2
iptables - 1.4.19.1-2
iw - 3.10-1
jshn - 2013-07-24-510e4956e58727d68fbf7dea1646a344d6901c91
kernel - 3.10.2-1-8ebcea4c573f040db2eea66fd367c1a3
kmod-button-hotplug - 3.10.2-3
kmod-cfg80211 - 3.10.2+2013-06-27-1
kmod-crypto-aes - 3.10.2-1
kmod-crypto-arc4 - 3.10.2-1
kmod-crypto-core - 3.10.2-1
kmod-crypto-hash - 3.10.2-1
kmod-crypto-manager - 3.10.2-1
kmod-eeprom-93cx6 - 3.10.2-1
kmod-input-core - 3.10.2-1
kmod-input-gpio-keys-polled - 3.10.2-1
kmod-input-polldev - 3.10.2-1
kmod-ip6tables - 3.10.2-1
kmod-ipt-conntrack - 3.10.2-1
kmod-ipt-core - 3.10.2-1
kmod-ipt-nat - 3.10.2-1
kmod-ipt-nathelper - 3.10.2-1
kmod-ipv6 - 3.10.2-1
kmod-leds-gpio - 3.10.2-1
kmod-lib-crc-ccitt - 3.10.2-1
kmod-lib-crc-itu-t - 3.10.2-1
kmod-mac80211 - 3.10.2+2013-06-27-1
kmod-ppp - 3.10.2-1
kmod-pppoe - 3.10.2-1
kmod-pppox - 3.10.2-1
kmod-rt2800-lib - 3.10.2+2013-06-27-1
kmod-rt2800-pci - 3.10.2+2013-06-27-1
kmod-rt2x00-lib - 3.10.2+2013-06-27-1
kmod-rt2x00-mmio - 3.10.2+2013-06-27-1
kmod-rt2x00-soc - 3.10.2+2013-06-27-1
kmod-slhc - 3.10.2-1
libblobmsg-json - 2013-07-24-510e4956e58727d68fbf7dea1646a344d6901c91
libc - 0.9.33.2-1
libgcc - 4.6-linaro-1
libip4tc - 1.4.19.1-2
libip6tc - 1.4.19.1-2
libiwinfo - 46
libiwinfo-lua - 46
libjson-c - 0.11-2
libjson-script - 2013-07-24-510e4956e58727d68fbf7dea1646a344d6901c91
liblua - 5.1.5-1
libnl-tiny - 0.1-3
libubox - 2013-07-24-510e4956e58727d68fbf7dea1646a344d6901c91
libubus - 2013-05-30-f72dca720bb50d45b1b01bab5b01cb80c78c5230
libubus-lua - 2013-05-30-f72dca720bb50d45b1b01bab5b01cb80c78c5230
libuci - 2013-06-11.1-1
libuci-lua - 2013-06-11.1-1
libxtables - 1.4.19.1-2
lua - 5.1.5-1
luci - svn-r9868-1
luci-app-firewall - svn-r9868-1
luci-i18n-english - svn-r9868-1
luci-lib-core - svn-r9868-1
luci-lib-ipkg - svn-r9868-1
luci-lib-nixio - svn-r9868-1
luci-lib-sys - svn-r9868-1
luci-lib-web - svn-r9868-1
luci-mod-admin-core - svn-r9868-1
luci-mod-admin-full - svn-r9868-1
luci-proto-core - svn-r9868-1
luci-proto-ppp - svn-r9868-1
luci-sgi-cgi - svn-r9868-1
luci-theme-base - svn-r9868-1
luci-theme-bootstrap - svn-r9868-1
mtd - 20
netifd - 2013-07-16-2674941b06c1ec67f1aff1bff9212e1372106641
odhcp6c - 2013-07-03-007ae1a6ae8092878adccde1f610ea9dd86e5aad
opkg - 618-3
ppp - 2.4.5-10
ppp-mod-pppoe - 2.4.5-10
procd - 2013-07-23-ba0cb9c1ecc72e6b726deaf91193d24b2a85814a-1
swconfig - 10
ubox - 2013-07-24.1-9f7073df932cfb5037df05c6a3bb0b6cd3ee076c
ubus - 2013-05-30-f72dca720bb50d45b1b01bab5b01cb80c78c5230
ubusd - 2013-05-30-f72dca720bb50d45b1b01bab5b01cb80c78c5230
uci - 2013-06-11.1-1
uhttpd - 2013-06-01-87c52f8461fa74733572f4efc53bc30a64ca8575
uhttpd-mod-ubus - 2013-06-01-87c52f8461fa74733572f4efc53bc30a64ca8575
wpad-mini - 20130630-2

comment:7 Changed 3 years ago by dani@…

still broken in r37750 ...

rt2800_wmac 10180000.wmac: failed to load eeprom property
ieee80211 phy0: rt2x00lib_request_eeprom_file: Info - Loading EEPROM data from 'soc_wmac.eeprom'.
ieee80211 phy0: rt2x00_set_rt: Info - RT chipset 3352, rev 0200 detected
ieee80211 phy0: rt2800_init_eeprom: Error - Invalid RF chipset 0x3352 detected
ieee80211 phy0: rt2x00lib_probe_dev: Error - Failed to allocate device

comment:8 follow-up: Changed 3 years ago by anonymous

which file you need to make changes?

file "build_dir/target-mipsel_dsp_uClibc-0.9.33.2/linux-ramips_rt305x/compat-wireless-2013-06-27/drivers/net/wireless/rt2x00/rt2800lib.c"

before each compilation is overwritten

comment:9 in reply to: ↑ 8 ; follow-up: Changed 3 years ago by anonymous

Replying to anonymous:

which file you need to make changes?

file "build_dir/target-mipsel_dsp_uClibc-0.9.33.2/linux-ramips_rt305x/compat-wireless-2013-06-27/drivers/net/wireless/rt2x00/rt2800lib.c"

before each compilation is overwritten

No, i suppose, it's overwritting after each "make clean", just run "make", and it will works

comment:10 in reply to: ↑ 9 ; follow-up: Changed 3 years ago by neolo7@…

Replying to anonymous:

Replying to anonymous:

which file you need to make changes?

file "build_dir/target-mipsel_dsp_uClibc-0.9.33.2/linux-ramips_rt305x/compat-wireless-2013-06-27/drivers/net/wireless/rt2x00/rt2800lib.c"

before each compilation is overwritten

No, i suppose, it's overwritting after each "make clean", just run "make", and it will works

Does your fix breaks N mode or something? Guy above is mentioned about low throughput.

comment:11 follow-up: Changed 3 years ago by anonymous

AP mode is not working with this fix on Dir-620 D1

comment:12 in reply to: ↑ 10 Changed 3 years ago by anonymous

Replying to neolo7@…:

Replying to anonymous:

Replying to anonymous:

which file you need to make changes?

file "build_dir/target-mipsel_dsp_uClibc-0.9.33.2/linux-ramips_rt305x/compat-wireless-2013-06-27/drivers/net/wireless/rt2x00/rt2800lib.c"

before each compilation is overwritten

No, i suppose, it's overwritting after each "make clean", just run "make", and it will works

Does your fix breaks N mode or something? Guy above is mentioned about low throughput.

No i din't make any changes but remove line "rt2x00_rt(rt2x00dev, RT3352)" it works fine for me (ubuntu 13.04 with intel 5150 agn) I guess, this problem occurs with some wifi cards like broadcom 4313 or intel 1000 bgn.

comment:13 in reply to: ↑ 11 Changed 3 years ago by anonymous

Replying to anonymous:

AP mode is not working with this fix on Dir-620 D1

I have Dir-620 D1 too, and with this fix it works fine, but you may have problems with lack of free memory(even though your firmware takes 2.8MB of 7.5), when settings erasing after reboot, you may add setiings files or 3.5 MB file(then erase this file after first boot to free space)to solve this problem

P.S. sorry for my bad english :)

comment:14 Changed 2 years ago by ypy541307641@…

I've got a WAP120nf with the same chipset.The trunk has been updated to r39025,it still have the problem.I deleted the line rt2x00_rt(rt2x00dev, RT3352)
in function rt2800_init_eeprom,but the wifi is unstable:when i got the wap120nf start,both of the wifi and lan dosen't work.Strangely it would auto reboot in a few minutes with wifi&lan works.

comment:15 Changed 2 years ago by anonymous

When it's gonna be fixed? This solution is not just unstable but completely unusuable!

comment:16 follow-up: Changed 2 years ago by anonymous

Looks like it was fixed in r38401.

Also same ticket https://dev.openwrt.org/ticket/14322

comment:17 in reply to: ↑ 16 Changed 2 years ago by anonymous

Replying to anonymous:

Looks like it was fixed in r38401.

Also same ticket https://dev.openwrt.org/ticket/14322

Build r40283, Ralink 3352, same bug.
Is it joke or something?
really, it's not funny, every single build this bug returns over and over.

comment:18 Changed 2 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

fixed in r40837

comment:19 Changed 2 years ago by anonymous

That line, affected by patch is was already missing, after compilation it still doesn't work.

comment:20 Changed 2 years ago by anonymous

  • Resolution fixed deleted
  • Status changed from closed to reopened

That line, affected by patch is was already missing, after compilation it still doesn't work.

comment:21 Changed 2 years ago by anonymous

UDP: I added these two lines by hands

	else if (rt2x00_rt(rt2x00dev, RT3352))
		rf = RF3322;

comment:22 Changed 2 years ago by anonymous

UDP2: Wi-fi N mode is broken, B/G is only available. r40837

comment:23 follow-up: Changed 2 years ago by nbd

"That line, affected by patch is was already missing" --
why was it already missing? did you build with a different version from the latest?
as for N being broken - how is it broken? not displayed in luci or not configurable in /etc/config/wireless via htmode?

you need to be more specific in your descriptions of the problem

comment:24 in reply to: ↑ 23 Changed 2 years ago by anonymous

Replying to nbd:

"That line, affected by patch is was already missing" --
why was it already missing? did you build with a different version from the latest?
as for N being broken - how is it broken? not displayed in luci or not configurable in /etc/config/wireless via htmode?

you need to be more specific in your descriptions of the problem

Last time I built it with customly edited file rt2800lib.c, than I did "svn up" and "make", that line was alreaady missing but still that error, than I added those two lines and seems works now. Yes N mode not selectable in LUCI.

comment:25 Changed 2 years ago by nbd

Luci changed, N no longer shows up as a separate mode of 11g vs 11g+n. You simply select 11g and then select the 802.11n mode below.

comment:26 Changed 2 years ago by anonymous

Well, I thought I messed up something, so I went here http://downloads.openwrt.org/snapshots/trunk/ramips and flashed one for dir-620 D1 (24 May build).
Fixed?

Sat May 24 06:07:26 2014 kern.err kernel: [   11.370000] ieee80211 phy0: rt2800_init_eeprom: Error - Invalid RF chipset 0x3352 detected
Sat May 24 06:07:26 2014 kern.err kernel: [   11.390000] ieee80211 phy0: rt2x00lib_probe_dev: Error - Failed to allocate device

So frustrating...

comment:27 Changed 2 years ago by nbd

that build is older than my fix, so how about what told you regarding luci and N?

comment:28 Changed 2 years ago by anonymous

There is nothing else than B and G
http://oi59.tinypic.com/2i8b2ip.jpg

comment:29 Changed 2 years ago by anonymous

By the way, in client mode, when click "Scan" there is a blank page appears (I don't mean there is no scan results but just blank LUCI page).

comment:30 follow-ups: Changed 2 years ago by nbd

please run ./scripts/feeds update and rebuild. your luci version is probably too old

comment:31 in reply to: ↑ 30 Changed 2 years ago by anonymous

Replying to nbd:

please run ./scripts/feeds update and rebuild. your luci version is probably too old

I just removed everything on my PC and started from scratch. Checked out of lasted SVN, did scripts update and compiled. As a result it shows me "Index of /" in browser. LUCI was picked in menuconfig. Than I went http://downloads.openwrt.org/snapshots/trunk/ramips/packages and got all packages manually according this tutorial for offline installation http://wiki.openwrt.org/doc/howto/luci.essentials and installed - got working LUCI but same thing as described earlier - only B and G available, by clicking "Scan" it throws "Bad Gateway The process did not produce any response". Those pakages are all new, how is it possible that I got old LUCI?

comment:32 in reply to: ↑ 30 Changed 2 years ago by anonymous

Problem is sorted out, beginning from current SVn build, now I see G+N mode (but no B anymore).

comment:33 Changed 2 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

right, B-only mode has been removed.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.